Name: jms
Version: 1.1
Release: alt1

Summary: Java Message Service
License: Sun Binary Code License
Url: http://java.sun.com/products/%name/
Group: Development/Java

Source0: %name-1_1-fr-apidocs.zip

BuildPreReq: /proc rpm-build-java unzip
BuildArch: noarch

%description
The Java Message Service (JMS) API has been developed by Sun working in
close cooperation with the leading enterprise messaging vendors.
Enterprise messaging is now recognized as an essential tool for building
enterprise applications. By combining Java technology with enterprise
messaging, the JMS API provides a new, powerful tool for solving
enterprise computing problems.

Enterprise messaging provides a reliable, flexible service for the
asynchronous exchange of critical business data and events throughout an
enterprise. The JMS API adds to this a common API and provider framework
that enables the development of portable, message based applications in
the Java programming language.

The JMS API improves programmer productivity by defining a common set of
messaging concepts and programming strategies that will be supported by
all JMS technology-compliant messaging systems.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common

%description javadoc
Javadoc for %name.

%prep
%setup -q -n %name%version
# fix files perms
chmod -R go=u-w *

%build

%install
%__mkdir_p %buildroot{%_javadir,%_javadocdir/%name}
# jars
%__install -m 644 lib/javax.%name.jar %buildroot%_javadir/%name.jar
# javadoc
%__cp -pr doc/api/* %buildroot%_javadocdir/%name

%files
%_javadir/*

%files javadoc
%_javadocdir/%name

%changelog
* Fri May 06 2005 Vladimir Lettiev <crux@altlinux.ru> 1.1-alt1
- Initial build for ALT Linux Sisyphus

